> For the complete documentation index, see [llms.txt](https://docs.maiagent.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.maiagent.ai/maiagent-user-guide/maiagent-user-guide-en/tools.md).

# Tools

- [Tools Feature Overview](https://docs.maiagent.ai/maiagent-user-guide/maiagent-user-guide-en/tools/tool_description.md): This article introduces what tools are, how tools assist AI assistants, and an overview of tool types supported by MaiAgent
- [Create MCP Tools](https://docs.maiagent.ai/maiagent-user-guide/maiagent-user-guide-en/tools/mcp-setup.md): This guide walks you through creating a new MCP tool on the platform.
- [Contacts MCP Credential Setup](https://docs.maiagent.ai/maiagent-user-guide/maiagent-user-guide-en/tools/setup-contacts-mcp-credentials.md): Achieve personalized MCP tool credential management to ensure data security and isolation
- [Create API Tools](https://docs.maiagent.ai/maiagent-user-guide/maiagent-user-guide-en/tools/setup_api_tool.md): This guide walks you through creating a new API tool on the platform.
- [Built-in AI Image Generation Tool](https://docs.maiagent.ai/maiagent-user-guide/maiagent-user-guide-en/tools/ai-image-generation-guide.md): This guide introduces MaiAgent's built-in AI image generation tools, compares their results, and covers their ideal use cases
- [Gemini 3 Image Generation Tool](https://docs.maiagent.ai/maiagent-user-guide/maiagent-user-guide-en/tools/gemini-3-image-tool.md): Generate high-quality images from text prompts using Gemini 3 Pro Image
- [Text to SQL with Supabase](https://docs.maiagent.ai/maiagent-user-guide/maiagent-user-guide-en/tools/text-to-sql-supabase.md): This article introduces how to use Supabase for Text to SQL in MaiAgent
- [Configure Tools for AI Assistant](https://docs.maiagent.ai/maiagent-user-guide/maiagent-user-guide-en/tools/configure_tools.md)
- [Agent UI](https://docs.maiagent.ai/maiagent-user-guide/maiagent-user-guide-en/tools/agent-ui.md): Enable AI assistants to automatically send visual information cards with interactive buttons during conversations, delivering a richer response experience beyond plain text.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.maiagent.ai/maiagent-user-guide/maiagent-user-guide-en/tools.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
